ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan.Mate...@rzf.fin-nrw.de
Subject AW: facing problem while integrating ant with eclipse(2.1.1)
Date Mon, 23 Aug 2004 04:38:26 GMT
BTW, Eclipse 3.1M1 comes with Ant 1.6.2 (and code folding for buildfiles :-)

Jan

> -----Urspr√ľngliche Nachricht-----
> Von: Darin Swanson [mailto:Darin_Swanson@us.ibm.com]
> Gesendet am: Freitag, 20. August 2004 18:51
> An: user@ant.apache.org
> Betreff: Re: facing problem while integrating ant with eclipse(2.1.1)
> 
> First I would encourage you to use the eclipse newsgroups for Eclipse 
> specific issues. 
> 
> You can set Eclipse to use Ant 1.6.1 if you are willing to upgrade to 
> either version 2.1.3 or Eclipse 3.0.
> In 2.1.3 you will need to set Ant home to point to your Ant 
> 1.6.1 install. 
> Eclipse 3.0 ships with Ant 1.6.1
> I would encourage you to move to Eclipse 3.0.
> 
> Then from
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=70236
> 
> From my testing all I had to do to get the FTP tasks to work 
> was to add 
> the 
> two required JARs to the Ant runtime classpath. No need to 
> place the JARs 
> in 
> the org.apache.ant lib folder from my testing.
> 
> The JARs I added were:
> jakarta-oro-2.0.8.jar 
> commons-net-1.2.2.jar
> 
> HTH
> Darins
> 
> 
> 
> 
> 
> "PAUL, SATYAJIT" <satyajit_paul@hp.com>
> 08/20/2004 06:25 AM
> Please respond to "Ant Users List"
>  
>         To:     <user@ant.apache.org>
>         cc: 
>         Subject:        facing problem while  integrating ant with 
> eclipse(2.1.1)
> 
> 
> Hi,
> 
> I am trying to use an external ant script from eclipse 
> (version 2.1.1) and 
> facing hurdle at one step, I am not able to use the task 
> "ftp" which comes 
> with commons-net-1.1.0.jar. I am successfully using the tag 
> with ant 1.6.1 
> but if I want to run the same script from eclipse it fails. 
> <ftp> tag is 
> directly not supported by apache-ant-1.6.1, u need to put one plug-in 
> commons-net-1.1.0.jar under ANT_HOME/lib and it works fine. 
> 
> Let me give a try to explain it little bit more......
> 
> I am using    eclipse 2.1.1 which uses ant 1.5.3 internally. 
> So, naturally 
> this doesn't support the <ftp> which comes only with 
> commons-net-1.1.0.jar. So, I referred this jar in the 
> classpath of the 
> eclipse's "external build tool" option, still did not work. Seems 
> commons-net-1.1.0.jar needs commons-net.jar's help to be 
> called or used. 
> So, now I am pointing the eclipse classpath to whole of lib 
> of ant 1.6.1 
> but still not working, in fact nothing comes to the console 
> not even the 
> earlier encountered massage which points to ftp task
> 
> "[ftp] BUILD FAILED: file:build_apBolton.xml:203: Could not 
> create task or 
> type of type: ftp."
> 
> 
> 
> Thanks & Regards,
> satya
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
> For additional commands, e-mail: user-help@ant.apache.org
> 
> 
> 

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message